<?php
namespace Ep\Form\Helper;

use Indigo\Html\Helper\HtmlElement;
use Indigo\View\Helper\AbstractHelper;

/**
 * Osnovna klasa za Form ViewHelpere.
 *
 * @package Ep\Form\Helper
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
abstract class AbstractFormHelper extends AbstractHelper
{
	/** @var HtmlElement */
	protected $htmlElement;

	/**
	 * Vraća helper za renderiranje HTML elemenata.
	 *
	 * @return HtmlElement
	 */
	public function getHtmlElementHelper()
	{
		if (null === $this->htmlElement) {
			$this->htmlElement = method_exists($this->view, 'plugin')
				? $this->view->plugin('htmlElement')
				: new HtmlElement();
		}

		return $this->htmlElement;
	}
}