<?php
namespace Ep\Form\Helper;

use Indigo\Html\Element;
use Zend\Form\Element\Button;
use Zend\Form\ElementInterface;

/**
 * Renderira <button> element.
 *
 * @package Ep\Form\Helper
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class FormButton extends AbstractFormHelper
{
	/**
	 * Renderira button.
	 *
	 * @param ElementInterface|null $element Element.
	 *
	 * @return FormButton|string
	 */
	public function __invoke(ElementInterface $element = null)
	{
		if (null === $element) {
			return $this;
		}

		return $this->render($element);
	}

	/**
	 * Renderira button.
	 *
	 * @param ElementInterface $element Element.
	 *
	 * @return string
	 */
	public function render(ElementInterface $element)
	{
		if (!$element instanceof Button) {
			throw new \InvalidArgumentException(
				sprintf('%s može renderirati samo elemente klase %s', get_class($this), Button::class)
			);
		}

		$button = new Element('button', $element->getAttributes());
		$button->addClass('btn', true);
		$button->setContent($element->getLabel());

		return $this->getHtmlElementHelper()->render($button);
	}
}