<?php
namespace Ep\Form\Helper;

use Indigo\Html\Element as HtmlElement;
use Zend\Form\ElementInterface;

/**
 * Renderira <input> element.
 *
 * @package Ep\Form\Helper
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class FormInput extends AbstractFormHelper
{
	public function __invoke(ElementInterface $element = null)
	{
		return null === $element
			? $this
			: $this->render($element);
	}

	public function render(ElementInterface $element)
	{
		$input = new HtmlElement('input', $element->getAttributes());
		$input->addClass('form-control', true);
		$input->setAttribute('value', $element->getValue());

		if (count($element->getMessages()) > 0) {
			$input->addClass('is-invalid');
		}

		return $this->getHtmlElementHelper()->render($input);
	}
}