<?php
namespace Ep\Form\Helper;

use Indigo\Html\Element;
use Zend\Form\ElementInterface;

/**
 * Class FormTextarea
 *
 * @package Ep\Form\Helper
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class FormTextarea extends AbstractFormHelper
{
    /**
     * Renderira element.
     *
     * @param ElementInterface|null $element Textarea element.
     *
     * @return FormTextarea|string
     */
    public function __invoke(ElementInterface $element = null)
    {
        if (null === $element) {
            return $this;
        }
        return $this->render($element);
    }

    /**
     * Renderira element.
     *
     * @param ElementInterface $element Textarea element.
     *
     * @return string
     */
    public function render(ElementInterface $element)
    {
        $attributes = $element->getAttributes();
        unset($attributes['type']);

        $textarea = new Element('textarea', $attributes);
        $textarea->addClass('form-control');
        $textarea->setContent($element->getValue());

        return $this->getHtmlElementHelper()->render($textarea);
    }
}