<?php
namespace Ep\Validator;

use Zend\ServiceManager\Factory\InvokableFactory;

/**
 * Class ConfigProvider
 *
 * @package Ep\Validator
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class ConfigProvider
{
	/**
	 * @return array
	 */
	public function __invoke()
	{
		return [
			'validators' => $this->getValidatorConfig(),
		];
	}

	/**
	 * @return array
	 */
	public function getValidatorConfig()
	{
		return [
			'aliases' => [
				'disableablevalidatorchain' => DisableableValidatorChain::class,
				'disableableValidatorChain' => DisableableValidatorChain::class,
				'DisableableValidatorChain' => DisableableValidatorChain::class,
				'enablemodulechain' => EnableModuleChain::class,
				'enableModuleChain' => EnableModuleChain::class,
				'EnableModuleChain' => EnableModuleChain::class,
				'smtpserver' => SmtpServer::class,
				'smtpServer' => SmtpServer::class,
				'SmtpServer' => SmtpServer::class,
			],
			'factories' => [
				DisableableValidatorChain::class => InvokableFactory::class,
				EnableModuleChain::class => InvokableFactory::class,
				SmtpServer::class => InvokableFactory::class,
			],
		];
	}
}