<?php
namespace Ep\WordPress\Widget;

use Psr\Container\ContainerInterface;
use WP_Widget;
use Zend\View\Renderer\RendererInterface;

/**
 * Class AbstractWidget
 *
 * @package Ep\WordPress\Widget
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
abstract class AbstractWidget extends WP_Widget
{
	/** @var ContainerInterface */
	protected $services;
	/** @var RendererInterface */
	protected $view;

	/**
	 * @return ContainerInterface
	 */
	protected function getServiceManager(): ContainerInterface
	{
		if (null === $this->services) {
			$this->services = ep_services();
		}

		return $this->services;
	}

	/**
	 * @return RendererInterface
	 */
	protected function getView(): RendererInterface
	{
		if (null === $this->view) {
			$services = $this->getServiceManager();
			$this->view = $services->get('ViewRenderer');
		}

		return $this->view;
	}

	/**
	 * @param string $template
	 * @param array $vars
	 */
	protected function render(string $template, array $vars = []): void
	{
		echo $this->getView()->render($template, $vars);
	}
}