<?php
namespace EpTest\Gath\Hydrator;

use Ep\Gath\Entity\Discount;
use EpTest\IntegrationTestCase;

class ProductDiscountHydratorTest extends IntegrationTestCase
{
	public function testCanHydrateObject()
	{
		$data = [
			'Rate' => 30,
			'Original' => 36,
			'New' => 25.2,
			'ValidTill' => '2017-12-31 14:52:12.000',
		];
		$hydrator = $this->getHydrator(Discount::class);

		/** @var Discount $discount */
		$discount = $hydrator->hydrate($data, new Discount());

		$this->assertEquals(30, $discount->getDisplayRate());
		$this->assertEquals(36, $discount->getOriginalPrice());
		$this->assertEquals(25.2, $discount->getDiscountedPrice());
	}
}