<?php
namespace EpTest\InputFilter;

use Ep\InputFilter\Factory;
use Ep\InputFilter\InputFilter as EpInputFilter;
use EpTest\IntegrationTestCase;
use Zend\InputFilter\InputFilter;

/**
 * Testovi integracije.
 *
 * @package EpTest\InputFilter
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class IntegrationTest extends IntegrationTestCase
{
	/**
	 * ServiceManager mora sadržavati instancu InputFilterManagera.
	 */
	public function testInputFilterManagerIsRegistered()
	{
		$services = $this->getServiceManager();
		$result = $services->has('InputFilterManager');

		$this->assertTrue($result);
	}

	/**
	 * Defaultni InputFilter je naša klasa, s našim Factoryjem.
	 */
	public function testOurVersionOfInputFilterIsUsed()
	{
		$manager = $this->getInputFilterManager();
		/** @var InputFilter $inputFilter */
		$inputFilter = $manager->get('InputFilter');

		$this->assertInstanceOf(EpInputFilter::class, $inputFilter);
	}

	/**
	 * Korišteni InputFilter mora koristiti našu Factory klasu.
	 */
	public function testInputFilterUsesOurFactory()
	{
		$manager = $this->getInputFilterManager();
		/** @var InputFilter $inputFilter */
		$inputFilter = $manager->get('InputFilter');
		$factory = $inputFilter->getFactory();

		$this->assertInstanceOf(Factory::class, $factory);
	}
}